// 调用schema.update函数，定制表单和action 案例
import RepoLevel from './RepoLevel.vue';
// 更新schema+定制action
window.GITEE.schema.update({
  PULL_REQUEST: {
    CONFLICT_ACTIONS: [
      {
        name: '去Webide中解决冲突',
        visible: (pull) => {
          return pull.can_operation_conflict;
        },
        action: (pull) => {
          // 点击触发的操作
          console.log(pull);
        }
      }
    ]
  }
})


window.GITEE.schema.update({
  FORM: {
    REPO_SETTINGS: {
      ITEMS: [
        {
          key: 'safety_level',
          pre_key: 'allow_forced_merge',
          visible: window.GITEE.FEATURE_TOGGLES.project_safety_level_enabled && window.gon.user.can_manage_enterprise,
          label: window.GITEE.$t('groups.safety_level'),
          customComponent: RepoLevel,
          meta: {
            disabled: false,
          },
        },
      ]
    }
  }
})